> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deleted record snapshots of a trash item

> List the record snapshots contained in a record-type table trash item in deletion order (newest first), cursor-paginated across hot and cold storage. Record-level filters narrow the stream. Records that were restored or permanently deleted are omitted.



## OpenAPI

````yaml /swagger.json get /trash/{trashId}/records
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /trash/{trashId}/records:
    get:
      tags:
        - trash
      summary: Get deleted record snapshots of a trash item
      description: >-
        List the record snapshots contained in a record-type table trash item in
        deletion order (newest first), cursor-paginated across hot and cold
        storage. Record-level filters narrow the stream. Records that were
        restored or permanently deleted are omitted.
      parameters:
        - schema:
            type: string
          required: true
          name: trashId
          in: path
        - schema:
            type: string
          required: true
          name: tableId
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 200
          required: false
          name: take
          in: query
        - schema:
            type: array
            items:
              type: string
          required: false
          name: recordCreatedBy
          in: query
        - schema:
            type: string
          required: false
          name: recordCreatedTimeStart
          in: query
        - schema:
            type: string
          required: false
          name: recordCreatedTimeEnd
          in: query
      responses:
        '200':
          description: Get trash item records successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        recordId:
                          type: string
                        record:
                          type: object
                          properties:
                            id:
                              type: string
                              description: The record id.
                            name:
                              type: string
                              description: primary field value
                            fields:
                              type: object
                              additionalProperties:
                                nullable: true
                              description: >-
                                Objects with a fields key mapping fieldId or
                                field name to value for that field.
                            autoNumber:
                              type: number
                              description: Auto number, a unique identifier for each record
                            createdTime:
                              type: string
                              description: >-
                                Created time, date ISO string (new
                                Date().toISOString).
                            lastModifiedTime:
                              type: string
                              description: >-
                                Last modified time, date ISO string (new
                                Date().toISOString).
                            createdBy:
                              type: string
                              description: Created by, user name
                            lastModifiedBy:
                              type: string
                              description: Last modified by, user name
                            permissions:
                              type: object
                              additionalProperties:
                                type: object
                                additionalProperties:
                                  type: boolean
                              description: Permissions for the record
                            undeletable:
                              type: boolean
                              description: Whether the record is undeletable
                          required:
                            - id
                            - fields
                        deletedTime:
                          type: string
                        deletedBy:
                          type: string
                        recordCreatedTime:
                          type: string
                          nullable: true
                        recordCreatedBy:
                          type: string
                          nullable: true
                        recordLastModifiedTime:
                          type: string
                          nullable: true
                        recordLastModifiedBy:
                          type: string
                          nullable: true
                      required:
                        - id
                        - recordId
                        - record
                        - deletedTime
                        - deletedBy
                  userMap:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        email:
                          type: string
                        avatar:
                          type: string
                          nullable: true
                        id:
                          type: string
                        name:
                          type: string
                      required:
                        - email
                        - avatar
                        - id
                        - name
                  nextCursor:
                    type: string
                    nullable: true
                required:
                  - items
                  - userMap
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/trash/%7BtrashId%7D/records?tableId=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE&take=SOME_INTEGER_VALUE&recordCreatedBy=SOME_ARRAY_VALUE&recordCreatedTimeStart=SOME_STRING_VALUE&recordCreatedTimeEnd=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/trash/%7BtrashId%7D/records?tableId=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE&take=SOME_INTEGER_VALUE&recordCreatedBy=SOME_ARRAY_VALUE&recordCreatedTimeStart=SOME_STRING_VALUE&recordCreatedTimeEnd=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/trash/%7BtrashId%7D/records?tableId=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE&take=SOME_INTEGER_VALUE&recordCreatedBy=SOME_ARRAY_VALUE&recordCreatedTimeStart=SOME_STRING_VALUE&recordCreatedTimeEnd=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/trash/%7BtrashId%7D/records?tableId=SOME_STRING_VALUE&cursor=SOME_STRING_VALUE&take=SOME_INTEGER_VALUE&recordCreatedBy=SOME_ARRAY_VALUE&recordCreatedTimeStart=SOME_STRING_VALUE&recordCreatedTimeEnd=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````